Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236477 - Upgrade from FC6->F7test3 caused duplicate entries in /etc/fstab
Summary: Upgrade from FC6->F7test3 caused duplicate entries in /etc/fstab
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-04-14 21:31 UTC by Chris Bagwell
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-19 21:03:02 UTC


Attachments (Terms of Use)

Description Chris Bagwell 2007-04-14 21:31:31 UTC
After a successful upgrade of FC6 to F7test3, I get error messages printed out
during a normal boot sequence.  The messages come out when its mounting filesystems.

The problem appears to be that duplicate entries exist in my /etc/fstab now. 
The original /etc/fstab exists from a box I've been upgrading since probably Red
Hat 4.

The original file contained entries for tmpfs, proc, and devpts.  Anaconda
upgraded this file and added duplicate entries for those... Luckily, it added
its towards the top and so are probably preferred.

Original /etc/fstab from before upgrade:

LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
#/dev/sda5               swap                    swap    defaults        0 0
/dev/sdb5               swap                    swap    defaults        0 0
#/dev/sda1               /c                      vfat    defaults       0 0
#/dev/hdb1               /b1                     ext3    defaults       1 2
/dev/sda1               /b1                     ext3    defaults       1 2

/etc/fstab after upgrade and with duplicates.

LABEL=/                 /                       ext3    defaults        1 1
proc                    /proc                   proc    defaults        0 0
sysfs                   /sys                    sysfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
/dev/sda1               /b1                     ext3    defaults        1 2
/dev/sdb5               swap                    swap    defaults        0 0

Comment 1 Chris Lumens 2007-04-19 21:03:02 UTC
This should be fixed in the next build of anaconda.  Thanks for the bug report.


Note You need to log in before you can comment on or make changes to this bug.